Matchable attributes
Lists custom MatchableAttributesConfiguration for a specific resource type.
Retrieve a list of MatchableAttributesConfiguration objects.
GET
/
api
/
v1
/
matchable_attributes
Lists custom MatchableAttributesConfiguration for a specific resource type.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/matchable_attributesimport requests
url = "https://mycluster.domino.tech/flows/api/v1/matchable_attributes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/matchable_attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configurations": [
{
"attributes": {
"cluster_assignment": {
"cluster_pool_name": "<string>"
},
"cluster_resource_attributes": {
"attributes": {}
},
"execution_cluster_label": {
"value": "<string>"
},
"execution_queue_attributes": {
"tags": [
"<string>"
]
},
"plugin_overrides": {
"overrides": [
{
"missing_plugin_behavior": "FAIL",
"plugin_id": [
"<string>"
],
"task_type": "<string>"
}
]
},
"quality_of_service": {
"spec": {
"queueing_budget": "<string>"
},
"tier": "UNDEFINED"
},
"task_resource_attributes": {
"defaults": {
"cpu": "<string>",
"ephemeral_storage": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>"
},
"limits": {
"cpu": "<string>",
"ephemeral_storage": "<string>",
"gpu": "<string>",
"memory": "<string>",
"storage": "<string>"
}
},
"workflow_execution_config": {
"annotations": {
"values": {}
},
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"execution_env_assignments": [
{
"execution_env": {
"extant": {},
"name": "<string>",
"spec": {},
"type": "<string>",
"version": "<string>"
},
"node_ids": [
"<string>"
],
"task_type": "<string>"
}
],
"interruptible": true,
"labels": {
"values": {}
},
"max_parallelism": 123,
"overwrite_cache": true,
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"security_context": {
"run_as": {
"execution_identity": "<string>",
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
}
},
"secrets": [
{
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
],
"tokens": [
{
"client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
},
"idp_discovery_endpoint": "<string>",
"name": "<string>",
"token_endpoint": "<string>",
"type": "CLIENT_CREDENTIALS"
}
]
}
}
},
"domain": "<string>",
"launch_plan": "<string>",
"org": "<string>",
"project": "<string>",
"workflow": "<string>"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Query Parameters
+required
- TASK_RESOURCE: Applies to customizable task resource requests and limits.
- CLUSTER_RESOURCE: Applies to configuring templated kubernetes cluster resources.
- EXECUTION_QUEUE: Configures task and dynamic task execution queue assignment.
- EXECUTION_CLUSTER_LABEL: Configures the K8s cluster label to be used for execution to be run
- QUALITY_OF_SERVICE_SPECIFICATION: Configures default quality of service when undefined in an execution spec.
- PLUGIN_OVERRIDE: Selects configurable plugin implementation behavior for a given task type.
- WORKFLOW_EXECUTION_CONFIG: Adds defaults for customizable workflow-execution specifications and overrides.
- CLUSTER_ASSIGNMENT: Controls how to select an available cluster on which this execution should run.
Available options:
TASK_RESOURCE, CLUSTER_RESOURCE, EXECUTION_QUEUE, EXECUTION_CLUSTER_LABEL, QUALITY_OF_SERVICE_SPECIFICATION, PLUGIN_OVERRIDE, WORKFLOW_EXECUTION_CONFIG, CLUSTER_ASSIGNMENT Optional, org filter applied to list project requests.
Response
A successful response.
Show child attributes
Show child attributes
Last modified on August 19, 2026
Related topics
Fetches custom MatchableAttributesConfiguration for a project and domain.Fetches custom MatchableAttributesConfiguration for a project, domain and workflow.Creates or updates custom MatchableAttributesConfiguration at the project levelCreates or updates custom MatchableAttributesConfiguration for a project and domain.Was this page helpful?
⌘I
Lists custom MatchableAttributesConfiguration for a specific resource type.
